% Run acoustic_fig_4 several times to generate Fig 4 in the paper.
fh = figure();
ax(1) = acoustic_fig_4 (500, 1, 1);
ax(2) = acoustic_fig_4 (500, 4, 3);
ax(3) = acoustic_fig_4 (500, 3, 2);
legendTextCells = {'1.3 V', '2.3 V', '5.6 V'};
legend(ax, legendTextCells);
%lgnd = legend(legendTextCells);
%set(lgnd.BoxFace, 'ColorType', 'truecoloralpha', 'ColorData', uint8([255;255;255;0.5*255]));

fh = get(groot,'CurrentFigure');
xh = xlabel('Effective Flow Resistivity (Pa s m^{-2})');
yh = ylabel('Permeability (m^2)');
set_plot_attributes( fh, gca, '', xh, yh, '' );
box;