function [ permeability ] = permeability_rating(rating)

switch rating
    case '-99'
        permeability = NaN;
    case 'Z0'
        permeability = 1;
    case 'Z10'
        permeability = 2.06e-7;
    case 'Z20'
        permeability = 1.37e-7;
    case 'Z30'
        permeability = 4.7e-8;
    case 'Z50'
        permeability = 1.5e-8;
    case 'Z80'
        permeability = 3.0e-9;
     case 'Z90'
        permeability = 1e-9;
    otherwise
        permeability = -99;
end

end

