function [  ] = set_plot_attributes( figure, axes, title, xlabel, ylabel, text )

% Use single quotes for missing plot handles.

font_weight = 'normal';
font_size = 16; % 20 for Cryosphere, 16 for GRL; % 10 for JoG % 16 for GI
font_name = 'Arial';

title_font_size = 16; % 20 for Cryosphere, 16 for GRL; % 10 for JoG  % 16 for GI
title_font_weight = 'normal';

label_font_size = 16; % 20 for Cryosphere, 16 for GRL; % 10 for JoG  % 16 for GI
label_font_weight = 'bold';

if (~strcmp(title, ''))
    set (title, 'FontName', font_name);
    set (title, 'FontWeight', title_font_weight);
    set (title, 'FontSize', title_font_size);
end

if (~strcmp(xlabel, ''))
    set (xlabel, 'FontName', font_name);
    set (xlabel, 'FontWeight', label_font_weight);
    set (xlabel, 'FontSize', label_font_size);
end

if (~strcmp(ylabel, ''))
    set (ylabel, 'FontName', font_name);
    set (ylabel, 'FontWeight', label_font_weight);
    set (ylabel, 'FontSize', label_font_size);
end

%if (~isnan(axes))
    set (axes, 'FontName', font_name);
    set (axes, 'FontWeight', font_weight);
    set (axes, 'FontSize', label_font_size);
%end

if (~strcmp(text, ''))
    set (text, 'FontName', font_name);
    set (text, 'FontSize', font_size);
    set (text, 'FontWeight', font_weight);
end

end

