function [ header ] = colheader( fname, filerows, headerrow )
%--------------------------------------------------------------------------
%input filename and row containing column header information. Output a vector containing
%the header.
%--------------------------------------------------------------------------

delimiter = ',';

fid = fopen(fname);


for i=1:filerows               % this loop tosses the header
    tline = fgetl(fid);
    if (i==headerrow)           % get file format information from the header
        saveline = tline;
        break;
    end
end

fclose(fid);

% remove double quote, '"', from line. Then split the line. 
saveline = regexprep(saveline, '"', '');
header = regexp(saveline, delimiter, 'split');

end


