function [ freq, rating, thickness ] = signal_freq_lab( file_in )
% Input requencies for each measurement.

header = file_in(1:5)

switch header
    case 'F0001'
        freq = -99;
        rating = '-99';
    case 'F0002'
        freq = -99;
        rating = '-99';
    case 'F0003'
        freq = 100;
        rating = 'Z0';
    case 'F0004'
        freq = 100;
        rating = 'Z90';
    case 'F0005'
        freq = 100;
        rating = 'Z30';
    case 'F0006'
        freq = -99;
        rating = '-99';
    case 'F0007'
        freq = 500;
        rating = 'Z0';
    case 'F0008'
        freq = 500;
        rating = 'Z90';
    case 'F0009'
        freq = 500;
        rating = 'Z30';
    case 'F0010'
        freq = 100;
        rating = 'Z0';
    case 'F0011'
        freq = 100;
        rating = 'Z10';
    case 'F0012'
        freq = 100;
        rating = 'Z20';
    case 'F0013'
        freq = 100;
        rating = 'Z30';
    case 'F0014'
        freq = 100;
        rating = 'Z50';
    case 'F0015'
        freq = 100;
        rating = 'Z80';
    case 'F0016'
        freq = 100;
        rating = 'Z90';
    case 'F0017'
        freq = 500;
        rating = 'Z0';
    case 'F0018'
        freq = 500;
        rating = 'Z10';
    case 'F0019'
        freq = 500;
        rating = 'Z20';
    case 'F0020'
        freq = 500;
        rating = 'Z30';
    case 'F0021'
        freq = 500;
        rating = 'Z50';
    case 'F0022'
        freq = 500;
        rating = 'Z80';
    case 'F0023'
        freq = 500;
        rating = 'Z90';
    case 'F0024'
        freq = 700;
        rating = 'Z0';
    case 'F0025'
        freq = 700;
        rating = 'Z10';
    case 'F0026'
        freq = 700;
        rating = 'Z20';
    case 'F0027'
        freq = 700;
        rating = 'Z30';
    case 'F0028'
        freq = 700;
        rating = 'Z50';
    case 'F0029'
        freq = 700;
        rating = 'Z80';
    case 'F0030'
        freq = 700;
        rating = 'Z90';
    case 'F0031'
        freq = 1000;
        rating = 'Z0';
    case 'F0032'
        freq = 1000;
        rating = 'Z10';
    case 'F0033'
        freq = 1000;
        rating = 'Z20';
    case 'F0034'
        freq = 1000;
        rating = 'Z30';
    case 'F0035'
        freq = 1000;
        rating = 'Z50';
    case 'F0036'
        freq = 1000;
        rating = 'Z80';
    case 'F0037'
        freq = 1000;
        rating = 'Z90';
    case 'F0038'
        freq = 100;
        rating = 'Z0';
    case 'F0039'
        freq = 25;
        rating = 'Z0';
    case 'F0040'
        freq = 25;
        rating = 'Z0';
    case 'F0041'
        freq = 25;
        rating = 'Z10';
    case 'F0042'
        freq = 25;
        rating = 'Z10';
    case 'F0043'
        freq = 25;
        rating = 'Z20';
    case 'F0044'
        freq = 25;
        rating = 'Z20';
    case 'F0045'
        freq = 25;
        rating = 'Z30';
    case 'F0046'
        freq = 25;
        rating = 'Z30';
    case 'F0047'
        freq = 25;
        rating = 'Z50';
    case 'F0048'
        freq = 25;
        rating = 'Z50';
    case 'F0049'
        freq = 25;
        rating = 'Z80';
    case 'F0050'
        freq = 25;
        rating = 'Z80';
    case 'F0051'
        freq = 25;
        rating = 'Z90';
    case 'F0052'
        freq = 25;
        rating = 'Z90';
    case 'F0053'
        freq = 25;
        rating = 'Z0';
    case 'F0054'
        freq = 100;
        rating = 'Z0';
    case 'F0055'
        freq = 100;
        rating = 'Z10';
    case 'F0056'
        freq = 100;
        rating = 'Z10';
    case 'F0057'
        freq = 100;
        rating = 'Z20';
    case 'F0058'
        freq = 100;
        rating = 'Z20';
    case 'F0059'
        freq = 100;
        rating = 'Z30';
    case 'F0060'
        freq = 100;
        rating = 'Z30';
    case 'F0061'
        freq = 100;
        rating = 'Z50';
    case 'F0062'
        freq = 100;
        rating = 'Z50';
    case 'F0063'
        freq = 100;
        rating = 'Z80';
    case 'F0064'
        freq = 100;
        rating = 'Z80';
    case 'F0065'
        freq = 100;
        rating = 'Z90';
    case 'F0066'
        freq = 100;
        rating = 'Z90';
    case 'F0067'
        freq = 100;
        rating = 'Z0';
    case 'F0068'
        freq = 500;
        rating = 'Z0';
    case 'F0069'
        freq = 500;
        rating = 'Z10';
    case 'F0070'
        freq = 500;
        rating = 'Z10';
    case 'F0071'
        freq = 500;
        rating = 'Z20';
    case 'F0072'
        freq = 500;
        rating = 'Z20';
    case 'F0073'
        freq = 500;
        rating = 'Z30';
    case 'F0074'
        freq = 500;
        rating = 'Z30';
    case 'F0075'
        freq = 500;
        rating = 'Z50';
    case 'F0076'
        freq = 500;
        rating = 'Z50';
    case 'F0077'
        freq = 500;
        rating = 'Z80';
    case 'F0078'
        freq = 500;
        rating = 'Z80';
    case 'F0079'
        freq = 500;
        rating = 'Z90';
    case 'F0080'
        freq = 500;
        rating = 'Z90';
    case 'F0081'
        freq = 500;
    case 'F0082'
        freq = 100;
        rating = 'Z0';
    case 'F0083'
        freq = 100;
        rating = 'Z10';
    case 'F0084'
        freq = 100;
        rating = 'Z10';
    case 'F0085'
        freq = 100;
        rating = 'Z20';
    case 'F0086'
        freq = 100;
        rating = 'Z20';
    case 'F0087'
        freq = 100;
        rating = 'Z30';
    case 'F0088'
        freq = 100;
        rating = 'Z30';
    case 'F0089'
        freq = 100;
        rating = 'Z50';
    case 'F0090'
        freq = 100;
        rating = 'Z50';
    case 'F0091'
        freq = 100;
        rating = 'Z80';
    case 'F0092'
        freq = 100;
        rating = 'Z80';
    case 'F0093'
        freq = 100;
        rating = 'Z90';
    case 'F0094'
        freq = 100;
        rating = 'Z90';
    case 'F0095'
        freq = 2000;
        rating = 'Z0';
    case 'F0096'
        freq = 2000;
        rating = 'Z10';
    case 'F0097'
        freq = 2000;
        rating = 'Z20';
    case 'F0098'
        freq = 2000;
        rating = 'Z30';
    case 'F0099'
        freq = 2000;
        rating = 'Z50';
    case 'F0100'
        freq = 2000;
        rating = 'Z80';
    case 'F0101'
        freq = 2000;
        rating = 'Z90';
    case 'F0102'
        freq = 5000;
        rating = 'Z10';
    case 'F0103'
        freq = 5000;
        rating = 'Z20';
    case 'F0104'
        freq = 5000;
        rating = 'Z30';
    case 'F0105'
        freq = 5000;
        rating = 'Z50';
    case 'F0106'
        freq = 5000;
        rating = 'Z80';
    case 'F0107'
        freq = 5000;
        rating = 'Z90';
    case 'F0108'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0109'
        freq = 1500;
        rating = 'Z10';
        thickness = 5;
    case 'F0110'
        freq = 1500;
        rating = 'Z10';
        thickness = 10;
    case 'F0111'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0112'
        freq = 1500;
        rating = 'Z20';
        thickness = 10;
    case 'F0113'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0114'
        freq = 1500;
        rating = 'Z30';
        thickness = 10;
    case 'F0115'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0116'
        freq = 1500;
        rating = 'Z50';
        thickness = 10;
    case 'F0117'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0118'
        freq = 1500;
        rating = 'Z80';
        thickness = 10;
    case 'F0119'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0120'
        freq = 1500;
        rating = 'Z90';
        thickness = 10;
    case 'F0121'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0122'
        freq = 500;
        rating = 'Z10';
        thickness = 5;
    case 'F0123'
        freq = 500;
        rating = 'Z10';
        thickness = 10;
    case 'F0124'
        freq = 500;
        rating = 'Z20';
        thickness = 5;
    case 'F0125'
        freq = 500;
        rating = 'Z20';
        thickness = 10;
    case 'F0126'
        freq = 500;
        rating = 'Z30';
        thickness = 5;
    case 'F0127'
        freq = 500;
        rating = 'Z30';
        thickness = 10;
    case 'F0128'
        freq = 500;
        rating = 'Z50';
        thickness = 5;
    case 'F0129'
        freq = 500;
        rating = 'Z50';
        thickness = 10;
    case 'F0130'
        freq = 500;
        rating = 'Z80';
        thickness = 5;
    case 'F0131'
        freq = 500;
        rating = 'Z80';
        thickness = 10;
    case 'F0132'
        freq = 500;
        rating = 'Z90';
        thickness = 5;
    case 'F0133'
        freq = 500;
        rating = 'Z90';
        thickness = 10;
    case 'F0134'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0135'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0136'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0137'
        freq = 1000;
        rating = 'Z10';
        thickness = 10;
    case 'F0138'
        freq = 1000;
        rating = 'Z20';
        thickness = 5;
    case 'F0139'
        freq = 1000;
        rating = 'Z20';
        thickness = 10;
    case 'F0140'
        freq = 1000;
        rating = 'Z30';
        thickness = 5;
    case 'F0141'
        freq = 1000;
        rating = 'Z30';
        thickness = 10;
    case 'F0142'
        freq = 1000;
        rating = 'Z50';
        thickness = 5;
    case 'F0143'
        freq = 1000;
        rating = 'Z50';
        thickness = 10;
    case 'F0144'
        freq = 1000;
        rating = 'Z80';
        thickness = 5;
    case 'F0145'
        freq = 1000;
        rating = 'Z-99';
        thickness = 0;
    case 'F0146'
        freq = 1000;
        rating = 'Z80';
        thickness = 10;
    case 'F0147'
        freq = 1000;
        rating = 'Z90';
        thickness = 5;
    case 'F0148'
        freq = 1000;
        rating = 'Z90';
        thickness = 10;
    case 'F0149'
        freq = 1000;
    case 'F0150'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0151'
        freq = 500;
        rating = 'Z10';
        thickness = 5;
    case 'F0152'
        freq = 500;
        rating = 'Z10';
        thickness = 10;
    case 'F0153'
        freq = 500;
        rating = 'Z20';
        thickness = 5;
    case 'F0154'
        freq = 500;
        rating = 'Z20';
        thickness = 10;
    case 'F0155'
        freq = 500;
        rating = 'Z30';
        thickness = 5;
    case 'F0156'
        freq = 500;
        rating = 'Z30';
        thickness = 10;
    case 'F0157'
        freq = 500;
        rating = 'Z50';
        thickness = 5;
    case 'F0158'
        freq = 500;
        rating = 'Z50';
        thickness = 10;
    case 'F0159'
        freq = 500;
        rating = 'Z80';
        thickness = 5;
    case 'F0160'
        freq = 500;
        rating = 'Z80';
        thickness = 10;
    case 'F0161'
        freq = 500;
        rating = 'Z90';
        thickness = 5;
    case 'F0162'
        freq = 500;
        rating = 'Z90';
        thickness = 10;
    case 'F0163'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0164'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0165'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0166'
        freq = 1000;
        rating = 'Z10';
        thickness = 10;
    case 'F0167'
        freq = 1000;
        rating = 'Z20';
        thickness = 5;
    case 'F0168'
        freq = 1000;
        rating = 'Z20';
        thickness = 10;
    case 'F0169'
        freq = 1000;
        rating = 'Z30';
        thickness = 5;
    case 'F0170'
        freq = 1000;
        rating = 'Z30';
        thickness = 10;
    case 'F0171'
        freq = 1000;
        rating = 'Z50';
        thickness = 5;
    case 'F0172'
        freq = 1000;
        rating = 'Z50';
        thickness = 10;
    case 'F0173'
        freq = 1000;
        rating = 'Z80';
        thickness = 5;
    case 'F0174'
        freq = 1000;
        rating = 'Z80';
        thickness = 10;
    case 'F0175'
        freq = 1000;
        rating = 'Z90';
        thickness = 5;
    case 'F0176'
        freq = 1000;
        rating = 'Z90';
        thickness = 10;
    case 'F0177'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0178'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0179'
        freq = 1500;
        rating = 'Z10';
        thickness = 5;
    case 'F0180'
        freq = 1000;
        rating = 'Z10';
        thickness = 10;
    case 'F0181'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0182'
        freq = 1500;
        rating = 'Z20';
        thickness = 10;
    case 'F0183'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0184'
        freq = 1500;
        rating = 'Z30';
        thickness = 10;
    case 'F0185'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0186'
        freq = 1500;
        rating = 'Z50';
        thickness = 10;
    case 'F0187'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0188'
        freq = 1500;
        rating = 'Z80';
        thickness = 10;
    case 'F0189'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0190'
        freq = 1500;
        rating = 'Z90';
        thickness = 10;
    case 'F0191'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0192'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0193'
        freq = 500;
        rating = 'Z10';
        thickness = 10;
    case 'F0194'
        freq = 500;
        rating = 'Z20';
        thickness = 10;
    case 'F0195'
        freq = 500;
        rating = 'Z30';
        thickness = 10;
    case 'F0196'
        freq = 500;
        rating = 'Z50';
        thickness = 10;
    case 'F0197'
        freq = 500;
        rating = 'Z80';
        thickness = 10;
    case 'F0198'
        freq = 500;
        rating = 'Z90';
        thickness = 10;
    case 'F0199'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0200'
        freq = 1000;
        rating = 'Z10';
        thickness = 10;
    case 'F0201'
        freq = 1000;
        rating = 'Z20';
        thickness = 10;
    case 'F0202'
        freq = 1000;
        rating = 'Z30';
        thickness = 10;
    case 'F0203'
        freq = 1000;
        rating = 'Z50';
        thickness = 10;
    case 'F0204'
        freq = 1000;
        rating = 'Z80';
        thickness = 5;
    case 'F0205'
        freq = 1000;
        rating = 'Z90';
        thickness = 10;
    case 'F0206'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0207'
        freq = 1500;
        rating = 'Z10';
        thickness = 10;
    case 'F0208'
        freq = 1000;
        rating = 'Z20';
        thickness = 10;
    case 'F0209'
        freq = 1500;
        rating = 'Z30';
        thickness = 10;
    case 'F0210'
        freq = 1500;
        rating = 'Z50';
        thickness = 10;
    case 'F0211'
        freq = 1500;
        rating = 'Z80';
        thickness = 10;
    case 'F0212'
        freq = 1500;
        rating = 'Z90';
        thickness = 10;
    case 'F0213'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0214'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0215'
        freq = 500;
        rating = 'Z10';
        thickness = 5;
    case 'F0216'
        freq = 500;
        rating = 'Z10';
        thickness = 10;
    case 'F0217'
        freq = 500;
        rating = 'Z20';
        thickness = 5;
    case 'F0218'
        freq = 500;
        rating = 'Z20';
        thickness = 10;
    case 'F0219'
        freq = 500;
        rating = 'Z30';
        thickness = 5;
    case 'F0220'
        freq = 500;
        rating = 'Z30';
        thickness = 10;
    case 'F0221'
        freq = 500;
        rating = 'Z50';
        thickness = 5;
    case 'F0222'
        freq = 500;
        rating = 'Z50';
        thickness = 10;
    case 'F0223'
        freq = 500;
        rating = 'Z80';
        thickness = 5;
    case 'F0224'
        freq = 500;
        rating = 'Z80';
        thickness = 10;
    case 'F0225'
        freq = 500;
        rating = 'Z90';
        thickness = 5;
    case 'F0226'
        freq = 500;
        rating = 'Z90';
        thickness = 10;
    case 'F0227'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0228'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0229'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0230'
        freq = 1000;
        rating = 'Z10';
        thickness = 10;
    case 'F0231'
        freq = 1000;
        rating = 'Z20';
        thickness = 5;
    case 'F0232'
        freq = 1000;
        rating = 'Z20';
        thickness = 10;
    case 'F0233'
        freq = 1000;
        rating = 'Z30';
        thickness = 5;
    case 'F0234'
        freq = 1000;
        rating = 'Z30';
        thickness = 10;
    case 'F0235'
        freq = 1000;
        rating = 'Z50';
        thickness = 5;
    case 'F0236'
        freq = 1000;
        rating = 'Z50';
        thickness = 10;
    case 'F0237'
        freq = 1000;
        rating = 'Z80';
        thickness = 5;
    case 'F0238'
        freq = 1000;
        rating = 'Z80';
        thickness = 10;
    case 'F0239'
        freq = 1000;
        rating = 'Z90';
        thickness = 5;
    case 'F0240'
        freq = 1000;
        rating = 'Z90';
        thickness = 10;
    case 'F0241'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0242'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0243'
        freq = 1500;
        rating = 'Z10';
        thickness = 5;
    case 'F0244'
        freq = 1000;
        rating = 'Z10';
        thickness = 10;
    case 'F0247'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0248'
        freq = 1500;
        rating = 'Z20';
        thickness = 10;
    case 'F0249'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0250'
        freq = 1500;
        rating = 'Z30';
        thickness = 10;
    case 'F0251'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0252'
        freq = 1500;
        rating = 'Z50';
        thickness = 10;
    case 'F0253'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0254'
        freq = 1500;
        rating = 'Z80';
        thickness = 10;
    case 'F0255'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0256'
        freq = 1500;
        rating = 'Z90';
        thickness = 10;
    case 'F0257'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0258'
        freq = 2000;
        rating = 'Z0';
        thickness = 0;
    case 'F0259'
        freq = 2000;
        rating = 'Z10';
        thickness = 5;
    case 'F0260'
        freq = 2000;
        rating = 'Z10';
        thickness = 10;
    case 'F0261'
        freq = 2000;
        rating = 'Z20';
        thickness = 5;
    case 'F0262'
        freq = 2000;
        rating = 'Z20';
        thickness = 10;
    case 'F0263'
        freq = 2000;
        rating = 'Z30';
        thickness = 5;
    case 'F0264'
        freq = 2000;
        rating = 'Z30';
        thickness = 10;
    case 'F0265'
        freq = 2000;
        rating = 'Z50';
        thickness = 5;
    case 'F0266'
        freq = 2000;
        rating = 'Z50';
        thickness = 10;
    case 'F0267'
        freq = 2000;
        rating = 'Z80';
        thickness = 5;
    case 'F0268'
        freq = 2000;
        rating = 'Z80';
        thickness = 10;
    case 'F0269'
        freq = 2000;
        rating = 'Z90';
        thickness = 5;
    case 'F0270'
        freq = 2000;
        rating = 'Z90';
        thickness = 10;
    case 'F0271'
        freq = 2000;
        rating = 'Z0';
        thickness = 0;
    case 'F0272'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0273'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0274'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0275'
        freq = 500;
        rating = 'Z10';
        thickness = 5;
    case 'F0276'
        freq = 500;
        rating = 'Z10';
        thickness = 5;
    case 'F0277'
        freq = 500;
        rating = 'Z10';
        thickness = 5;
    case 'F0278'
        freq = 500;
        rating = 'Z20';
        thickness = 5;
    case 'F0279'
        freq = 500;
        rating = 'Z20';
        thickness = 5;
    case 'F0280'
        freq = 500;
        rating = 'Z20';
        thickness = 5;
    case 'F0281'
        freq = 500;
        rating = 'Z30';
        thickness = 5;
    case 'F0282'
        freq = 500;
        rating = 'Z30';
        thickness = 5;
    case 'F0283'
        freq = 500;
        rating = 'Z30';
        thickness = 5;
    case 'F0284'
        freq = 500;
        rating = 'Z50';
        thickness = 5;
    case 'F0285'
        freq = 500;
        rating = 'Z50';
        thickness = 5;
    case 'F0286'
        freq = 500;
        rating = 'Z50';
        thickness = 5;
    case 'F0287'
        freq = 500;
        rating = 'Z80';
        thickness = 5;
    case 'F0288'
        freq = 500;
        rating = 'Z80';
        thickness = 5;
    case 'F0289'
        freq = 500;
        rating = 'Z80';
        thickness = 5;
    case 'F0290'
        freq = 500;
        rating = 'Z90';
        thickness = 5;
    case 'F0291'
        freq = 500;
        rating = 'Z90';
        thickness = 5;
    case 'F0292'
        freq = 500;
        rating = 'Z90';
        thickness = 5;
    case 'F0293'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0294'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0295'
        freq = 500;
        rating = 'Z0';
        thickness = 0;
    case 'F0296'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0297'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0298'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0299'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0300'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0301'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0302'
        freq = 1000;
        rating = 'Z20';
        thickness = 5;
    case 'F0303'
        freq = 1000;
        rating = 'Z20';
        thickness = 5;
    case 'F0304'
        freq = 1000;
        rating = 'Z20';
        thickness = 5;
    case 'F0305'
        freq = 1000;
        rating = 'Z30';
        thickness = 5;
    case 'F0306'
        freq = 1000;
        rating = 'Z30';
        thickness = 5;
    case 'F0307'
        freq = 1000;
        rating = 'Z30';
        thickness = 5;
    case 'F0308'
        freq = 1000;
        rating = 'Z50';
        thickness = 5;
    case 'F0309'
        freq = 1000;
        rating = 'Z50';
        thickness = 5;
    case 'F0310'
        freq = 1000;
        rating = 'Z50';
        thickness = 5;
    case 'F0311'
        freq = 1000;
        rating = 'Z80';
        thickness = 5;
    case 'F0312'
        freq = 1000;
        rating = 'Z80';
        thickness = 5;
    case 'F0313'
        freq = 1000;
        rating = 'Z80';
        thickness = 5;
    case 'F0314'
        freq = 1000;
        rating = 'Z90';
        thickness = 5;
    case 'F0315'
        freq = 1000;
        rating = 'Z90';
        thickness = 5;
    case 'F0316'
        freq = 1000;
        rating = 'Z90';
        thickness = 5;
    case 'F0317'
        freq = 1000;
        rating = 'Z0';
        thickness = 5;
    case 'F0318'
        freq = 1000;
        rating = 'Z0';
        thickness = 5;
    case 'F0319'
        freq = 1000;
        rating = 'Z0';
        thickness = 5;
    case 'F0320'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0321'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0322'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0323'
        freq = 1500;
        rating = 'Z10';
        thickness = 5;
    case 'F0324'
        freq = 1500;
        rating = 'Z10';
        thickness = 5;
    case 'F0325'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0326'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0327'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0328'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0329'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0330'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0331'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0332'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0333'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0334'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0335'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0336'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0337'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0338'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0339'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0340'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0341'
        freq = 1500;
        rating = 'Z0';
        thickness = 5;
    case 'F0342'
        freq = 1500;
        rating = 'Z0';
        thickness = 5;
    case 'F0343'
        freq = 1500;
        rating = 'Z0';
        thickness = 5;
    case 'F0344'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0345'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0346'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0347'
        freq = 1500;
        rating = 'Z10';
        thickness = 5;
    case 'F0348'
        freq = 1500;
        rating = 'Z10';
        thickness = 5;
    case 'F0349'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0350'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0351'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0352'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0353'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0354'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0355'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0356'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0357'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0358'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0359'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0360'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0361'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0362'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0363'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0364'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0365'
        freq = 1500;
        rating = 'Z0';
        thickness = 5;
    case 'F0366'
        freq = 1500;
        rating = 'Z0';
        thickness = 5;
    case 'F0367'
        freq = 1500;
        rating = 'Z0';
        thickness = 5;
    case 'F0368'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0369'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0370'
        freq = 1500;
        rating = 'Z0';
        thickness = 0;
    case 'F0371'
        freq = 1500;
        rating = 'Z10';
        thickness = 5;
    case 'F0372'
        freq = 1500;
        rating = 'Z10';
        thickness = 5;
    case 'F0373'
        freq = 1500;
        rating = 'Z10';
        thickness = 5;
    case 'F0374'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0375'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0376'
        freq = 1500;
        rating = 'Z20';
        thickness = 5;
    case 'F0377'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0378'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0379'
        freq = 1500;
        rating = 'Z30';
        thickness = 5;
    case 'F0380'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0381'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0382'
        freq = 1500;
        rating = 'Z50';
        thickness = 5;
    case 'F0383'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0384'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0385'
        freq = 1500;
        rating = 'Z80';
        thickness = 5;
    case 'F0386'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0387'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0388'
        freq = 1500;
        rating = 'Z90';
        thickness = 5;
    case 'F0389'
        freq = 1500;
        rating = 'Z0';
        thickness = 5;
    case 'F0390'
        freq = 1500;
        rating = 'Z0';
        thickness = 5;
    case 'F0391'
        freq = 1500;
        rating = 'Z0';
        thickness = 5;
    case 'F0403'
        freq = 506.312;
        rating = 'Z0';
        thickness = 0;
    case 'F0404'
        freq = 506.327;
        rating = 'Z0';
        thickness = 0;
    case 'F0405'
        freq = 506.325;
        rating = 'Z0';
        thickness = 0;
    case 'F0406'
        freq = 506.333;
        rating = 'Z10';
        thickness = 5;
    case 'F0407'
        freq = 506.349;
        rating = 'Z10';
        thickness = 5;
    case 'F0408'
        freq = 506.388;
        rating = 'Z10';
        thickness = 5;
    case 'F0409'
        freq = 506.391;
        rating = 'Z20';
        thickness = 5;
    case 'F0410'
        freq = 506.421;
        rating = 'Z20';
        thickness = 5;
    case 'F0411'
        freq = 506.479;
        rating = 'Z20';
        thickness = 5;
    case 'F0412'
        freq = 506.506;
        rating = 'Z30';
        thickness = 5;
    case 'F0413'
        freq = 506.561;
        rating = 'Z30';
        thickness = 5;
    case 'F0414'
        freq = 506.597;
        rating = 'Z30';
        thickness = 5;
    case 'F0415'
        freq = 506.607;
        rating = 'Z50';
        thickness = 5;
    case 'F0416'
        freq =506.650;
        rating = 'Z50';
        thickness = 5;
    case 'F0417'
        freq = 506.674;
        rating = 'Z50';
        thickness = 5;
    case 'F0418'
        freq = 506.710;
        rating = 'Z80';
        thickness = 5;
    case 'F0419'
        freq = 506.723;
        rating = 'Z80';
        thickness = 5;
    case 'F0420'
        freq = 506.733;
        rating = 'Z80';
        thickness = 5;
    case 'F0421'
        freq = 506.710;
        rating = 'Z90';
        thickness = 5;
    case 'F0422'
        freq = 506.702;
        rating = 'Z90';
        thickness = 5;
    case 'F0423'
        freq = 506.698;
        rating = 'Z90';
        thickness = 5;
    case 'F0424'
        freq = 506.701;
        rating = 'Z0';
        thickness = 5;
    case 'F0425'
        freq = 506.678;
        rating = 'Z0';
        thickness = 5;
    case 'F0426'
        freq = 506.674;
        rating = 'Z0';
        thickness = 5;
    case 'F0427'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0428'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0429'
        freq = 1000;
        rating = 'Z0';
        thickness = 0;
    case 'F0430'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0431'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0432'
        freq = 1000;
        rating = 'Z10';
        thickness = 5;
    case 'F0433'
        freq = 1000;
        rating = 'Z20';
        thickness = 5;
    case 'F0434'
        freq = 1000;
        rating = 'Z20';
        thickness = 5;
    case 'F0435'
        freq = 1000;
        rating = 'Z20';
        thickness = 5;
    case 'F0436'
        freq = 1000;
        rating = 'Z30';
        thickness = 5;
    case 'F0437'
        freq = 1000;
        rating = 'Z30';
        thickness = 5;
    case 'F0438'
        freq = 1000;
        rating = 'Z30';
        thickness = 5;
    case 'F0439'
        freq = 1000;
        rating = 'Z50';
        thickness = 5;
    case 'F0440'
        freq = 1000;
        rating = 'Z50';
        thickness = 5;
    case 'F0441'
        freq = 1000;
        rating = 'Z50';
        thickness = 5;
    case 'F0442'
        freq = 1000;
        rating = 'Z80';
        thickness = 5;
    case 'F0443'
        freq = 1000;
        rating = 'Z80';
        thickness = 5;
    case 'F0444'
        freq = 1000;
        rating = 'Z80';
        thickness = 5;
    case 'F0445'
        freq = 1000;
        rating = 'Z90';
        thickness = 5;
    case 'F0446'
        freq = 1000;
        rating = 'Z90';
        thickness = 5;
    case 'F0447'
        freq = 1000;
        rating = 'Z90';
        thickness = 5;
    case 'F0448'
        freq = 1000;
        rating = 'Z0';
        thickness = 5;
    case 'F0449'
        freq = 1000;
        rating = 'Z0';
        thickness = 5;
    case 'F0450'
        freq = 1000;
        rating = 'Z0';
        thickness = 5;
    
    otherwise
        freq = 0;
        rating = 'Z0';
        thickness = 0;
end

end

